Skip to content

Create personality profile

POST
/api/v1/tuning/personality
curl --request POST \
--url https://api.ultimateteam.ai/api/v1/tuning/personality \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "agent_role": "example", "tone_dimensions": { "additionalProperty": 1 } }'

Create or update a personality profile.

Media typeapplication/json
PersonalityProfileCreate

Request body for creating/updating a personality profile.

object
agent_role
required
Agent Role
string
>= 1 characters <= 100 characters
tone_dimensions
required
Tone Dimensions
object
key
additional properties
number
Examplegenerated
{
"agent_role": "example",
"tone_dimensions": {
"additionalProperty": 1
}
}

Successful Response

Media typeapplication/json
PersonalityProfileResponse

Response body for a personality profile.

object
agent_role
required
Agent Role
string
avg_consistency
required
Avg Consistency
number
id
required
Id
string format: uuid
last_drift_alert_at
Any of:
string format: date-time
tone_dimensions
required
Tone Dimensions
object
key
additional properties
number
updated_at
required
Updated At
string format: date-time
Examplegenerated
{
"agent_role": "example",
"avg_consistency": 1,
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"last_drift_alert_at": "2026-04-15T12:00:00Z",
"tone_dimensions": {
"additionalProperty": 1
},
"updated_at": "2026-04-15T12:00:00Z"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}